<id>
Post Smilies for YaBB 2.3
</id>

<version>
0.7
</version>

<mod info>
Inserts a graphic of a smiley holding a sign showing how many posts the member has in his/her posts, along with user name and other such items on the left side of one's posts.

Version History
0.7 - Minor change to avoid mod incompatibilities 01/04/09

0.6 - Updated for YaBB 2.3.1 01/04/09

0.5 - Beta attemp at updating this mod to YaBB 2.3 by Derek Barnstorm/Batchman, November 2008, updated with Seawolf's permission.

Previous Version
First release by Seawolf for YaBB 1.2/1.3 version in 2003

Files to edit
Admin/ModList.pl 
Admin/NewSettings.pl 
Admin/Settings_Main.pl 
Languages/English/Admin.lng
Sources/Display.pl 
Sources/MyCenter.pl 
Templates/default/Display.template 
Templates/default/MyCenter.template
Templates/yabb2/Display.template
Templates/yabb2/MyCenter.template
</mod info>

<author>
Seawolf, Derek Barnstorm, Batchman
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_postsmiley = "Post Smilies 0.7|Seawolf, Jon Batchelor & Derek Barnstorm|Displays a Smiley holding a sign listing the last major milestone of a user's posts|0.5|9th November 2008";
	push (@installed_mods, "$mod_postsmiley");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$showpostsmiley = $showpostsmiley;			# Set to 1 to display each member's post smiley)
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $admin_txt{'postsmiley'},
			input_html => qq~<input type="checkbox" name="showpostsmiley" value="1"${ischecked($showpostsmiley)} />~,
			name => 'showpostsmiley',
			validate => 'boolean',
		},
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
%admin_txt = (
</search for>

<add after>
'postsmiley' => 'Show Post Smiley?',
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
			$template_postinfo = qq~$display_txt{'21'}: ${$uid.$musername}{'postcount'}<br />~;
</search for>

<add after>
			# Start Post Smiley Code #
			if(${$uid.$musername}{'postcount'} < 10 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/newbie.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 9 &&  ${$uid.$musername}{'postcount'} < 25 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/10posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 24 && ${$uid.$musername}{'postcount'} < 50 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/25posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 49 && ${$uid.$musername}{'postcount'} < 100 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/50posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 99 && ${$uid.$musername}{'postcount'} < 150 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/100posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 149 && ${$uid.$musername}{'postcount'} < 200 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/150posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 199 && ${$uid.$musername}{'postcount'} < 250 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/200posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 249 && ${$uid.$musername}{'postcount'} < 300 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/250posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 299 && ${$uid.$musername}{'postcount'} < 400 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/300posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 399 && ${$uid.$musername}{'postcount'} < 500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/400posts.gif" border="0" alt="" /><br>~; }
			if(${$uid.$musername}{'postcount'} > 499 && ${$uid.$musername}{'postcount'} < 750 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/500posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 749 && ${$uid.$musername}{'postcount'} < 1000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/750posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 999 && ${$uid.$musername}{'postcount'} < 1250 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 1249 && ${$uid.$musername}{'postcount'} < 1500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1250posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 1499 && ${$uid.$musername}{'postcount'} < 2000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1500posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 1999 && ${$uid.$musername}{'postcount'} < 2500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/2000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 2499 && ${$uid.$musername}{'postcount'} < 3000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/2500posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 2999 && ${$uid.$musername}{'postcount'} < 4000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/3000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 3999 && ${$uid.$musername}{'postcount'} < 5000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/4000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 4999 && ${$uid.$musername}{'postcount'} < 6000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/5000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 5999 && ${$uid.$musername}{'postcount'} < 7000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/6000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 6999 && ${$uid.$musername}{'postcount'} < 8000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/7000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 7999 && ${$uid.$musername}{'postcount'} < 9000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/8000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 8999 && ${$uid.$musername}{'postcount'} < 10000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/9000posts.gif" border="0" alt="" /><br />~; }
			if(${$uid.$musername}{'postcount'} > 9999 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/10000posts.gif" border="0" alt="" /><br />~; }
			# End Post Smiley Code #
</add after>

<search for>
		$outblock =~ s/({|<)yabb postinfo(}|>)/$template_postinfo/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb postsmiley(}|>)/$template_postsmiley/g; 
</add after>

<search for>
		my ($template_usertext, $template_postinfo, $template_gender, $template_profile, $template_quote, $template_email, $template_www, $template_pm, $avatar);
</search for>

<add after>
		my ($template_postsmiley);
</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$template_postinfo = qq~$mycenter_txt{'posts'}: ${$uid.$username}{'postcount'}<br />~;
</search for>

<add after>
		# Start Post Smiley Code #
		if(${$uid.$username}{'postcount'} < 10 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/newbie.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 9 &&  ${$uid.$musername}{'postcount'} < 25 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/10posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 24 && ${$uid.$musername}{'postcount'} < 50 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/25posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 49 && ${$uid.$musername}{'postcount'} < 100 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/50posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 99 && ${$uid.$musername}{'postcount'} < 150 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/100posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 149 && ${$uid.$musername}{'postcount'} < 200 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/150posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 199 && ${$uid.$musername}{'postcount'} < 250 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/200posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 249 && ${$uid.$musername}{'postcount'} < 300 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/250posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 299 && ${$uid.$musername}{'postcount'} < 400 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/300posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 399 && ${$uid.$musername}{'postcount'} < 500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/400posts.gif" border="0" alt="" /><br>~; }
		if(${$uid.$username}{'postcount'} > 499 && ${$uid.$musername}{'postcount'} < 750 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/500posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 749 && ${$uid.$musername}{'postcount'} < 1000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/750posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 999 && ${$uid.$musername}{'postcount'} < 1250 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 1249 && ${$uid.$musername}{'postcount'} < 1500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1250posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 1499 && ${$uid.$musername}{'postcount'} < 2000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/1500posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 1999 && ${$uid.$musername}{'postcount'} < 2500 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/2000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 2499 && ${$uid.$musername}{'postcount'} < 3000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/2500posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 2999 && ${$uid.$musername}{'postcount'} < 4000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/3000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 3999 && ${$uid.$musername}{'postcount'} < 5000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/4000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 4999 && ${$uid.$musername}{'postcount'} < 6000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/5000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 5999 && ${$uid.$musername}{'postcount'} < 7000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/6000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 6999 && ${$uid.$musername}{'postcount'} < 8000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/7000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 7999 && ${$uid.$musername}{'postcount'} < 9000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/8000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 8999 && ${$uid.$musername}{'postcount'} < 10000 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/9000posts.gif" border="0" alt="" /><br />~; }
		if(${$uid.$username}{'postcount'} > 9999 && $showpostsmiley) { $template_postsmiley = qq~<img src="$modimgurl/PostSmilies/10000posts.gif" border="0" alt="" /><br />~; }
		# End Post Smiley Code #
</add after>

<search for>
		$myprofileblock =~ s/({|<)yabb postinfo(}|>)/$template_postinfo/g;
</search for>

<add after>
		$myprofileblock =~ s/({|<)yabb postsmiley(}|>)/$template_postsmiley/g;
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
		{yabb postsmiley}
</add after>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
 		{yabb postsmiley}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb postsmiley>
</add after>

<edit file>
Templates/yabb21/MyCenter.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb postsmiley>
</add after>